Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports System.IO
Imports Alvas.Windows.Forms.FileControls

Namespace FileControlsVb

    Friend Class Form1
        Inherits System.Windows.Forms.Form
        Private tabControl1 As System.Windows.Forms.TabControl
        Private tabPage1 As System.Windows.Forms.TabPage
        Private tabPage2 As System.Windows.Forms.TabPage
        Private chName As System.Windows.Forms.ColumnHeader
        Private chSize As System.Windows.Forms.ColumnHeader
        Private chType As System.Windows.Forms.ColumnHeader
        Private chDate As System.Windows.Forms.ColumnHeader
        Private textBox1 As System.Windows.Forms.TextBox
        Private mainMenu1 As System.Windows.Forms.MainMenu
        Private menuItem1 As System.Windows.Forms.MenuItem
        Private menuItem2 As System.Windows.Forms.MenuItem
        Private menuItem3 As System.Windows.Forms.MenuItem
        Private menuItem4 As System.Windows.Forms.MenuItem
        Private menuItem5 As System.Windows.Forms.MenuItem
        Private menuItem6 As System.Windows.Forms.MenuItem
        Private filb As Alvas.Windows.Forms.FileControls.FileListBox
        Private flb As Alvas.Windows.Forms.FileControls.FolderListBox
        Private fcb As Alvas.Windows.Forms.FileControls.FilterComboBox
        Private dcb As Alvas.Windows.Forms.FileControls.DriveComboBox
        Private ff As Alvas.Windows.Forms.FileControls.FileFind
        Private fo As Alvas.Windows.Forms.FileControls.FileOperation
        Private imageList1 As System.Windows.Forms.ImageList
        Private toolBar1 As System.Windows.Forms.ToolBar
        Private toolBarButton2 As System.Windows.Forms.ToolBarButton
        Private toolBarButton3 As System.Windows.Forms.ToolBarButton
        Private toolBarButton4 As System.Windows.Forms.ToolBarButton
        Private toolBarButton5 As System.Windows.Forms.ToolBarButton
        Private contextMenu1 As System.Windows.Forms.ContextMenu
        Private miTiles As System.Windows.Forms.MenuItem
        Private miIcons As System.Windows.Forms.MenuItem
        Private miList As System.Windows.Forms.MenuItem
        Private miDetails As System.Windows.Forms.MenuItem
        Private filterComboBox1 As Alvas.Windows.Forms.FileControls.FilterComboBox
        Private etv As Alvas.Windows.Forms.FileControls.ExplorerTreeView
        Private elv As Alvas.Windows.Forms.FileControls.ExplorerListView
        Private df1 As Alvas.Windows.Forms.FileControls.DragFile
        Private ai As PathInfo
        Private columnHeader1 As System.Windows.Forms.ColumnHeader
        Private columnHeader2 As System.Windows.Forms.ColumnHeader
        Private columnHeader3 As System.Windows.Forms.ColumnHeader
        Private columnHeader4 As System.Windows.Forms.ColumnHeader
        Private tabPage3 As System.Windows.Forms.TabPage
        Private tabPage4 As System.Windows.Forms.TabPage
        Private lbDrag As System.Windows.Forms.ListBox
        Private btnFind As System.Windows.Forms.Button
        Private label1 As System.Windows.Forms.Label
        Private label2 As System.Windows.Forms.Label
        Private tbPath As System.Windows.Forms.TextBox
        Private tbMask As System.Windows.Forms.TextBox
        Private cbSubDir As System.Windows.Forms.CheckBox
        Private lvFind As System.Windows.Forms.ListView
        Private columnHeader5 As System.Windows.Forms.ColumnHeader
        Private columnHeader6 As System.Windows.Forms.ColumnHeader
        Private btnStop As System.Windows.Forms.Button
        Private tabPage5 As System.Windows.Forms.TabPage
        Private btnCopy As System.Windows.Forms.Button
        Private tbFrom As System.Windows.Forms.TextBox
        Private tbTo As System.Windows.Forms.TextBox
        Private label3 As System.Windows.Forms.Label
        Private label4 As System.Windows.Forms.Label
        Private tabPage6 As System.Windows.Forms.TabPage
        Private fbdMain As System.Windows.Forms.FolderBrowserDialog
        Private ofdMain As System.Windows.Forms.OpenFileDialog
        Private ilMain As System.Windows.Forms.ImageList
        Private cmMain As System.Windows.Forms.ContextMenu
        Private miFile As System.Windows.Forms.MenuItem
        Private miFolder As System.Windows.Forms.MenuItem
        Private tbMain As System.Windows.Forms.ToolBar
        Private tbbAdd As System.Windows.Forms.ToolBarButton
        Private tbbDelete As System.Windows.Forms.ToolBarButton
        Private tbbBurn As System.Windows.Forms.ToolBarButton
        Private lbMain As System.Windows.Forms.ListBox
        Private cdBurner As Alvas.Windows.Forms.FileControls.CDBurner
        Private components As System.ComponentModel.IContainer

        Public Sub New()
            InitializeComponent()
        End Sub

        Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
            If disposing Then
                If Not (components Is Nothing) Then
                    components.Dispose()
                End If
            End If
            MyBase.Dispose(disposing)
        End Sub

        Private Sub InitializeComponent()
            Me.components = New System.ComponentModel.Container
            Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(Form1))
            Me.cdBurner = New Alvas.Windows.Forms.FileControls.CDBurner
            Me.tabControl1 = New System.Windows.Forms.TabControl
            Me.tabPage1 = New System.Windows.Forms.TabPage
            Me.elv = New Alvas.Windows.Forms.FileControls.ExplorerListView
            Me.columnHeader1 = New System.Windows.Forms.ColumnHeader
            Me.columnHeader2 = New System.Windows.Forms.ColumnHeader
            Me.columnHeader3 = New System.Windows.Forms.ColumnHeader
            Me.columnHeader4 = New System.Windows.Forms.ColumnHeader
            Me.etv = New Alvas.Windows.Forms.FileControls.ExplorerTreeView
            Me.filterComboBox1 = New Alvas.Windows.Forms.FileControls.FilterComboBox
            Me.toolBar1 = New System.Windows.Forms.ToolBar
            Me.toolBarButton2 = New System.Windows.Forms.ToolBarButton
            Me.toolBarButton3 = New System.Windows.Forms.ToolBarButton
            Me.toolBarButton4 = New System.Windows.Forms.ToolBarButton
            Me.toolBarButton5 = New System.Windows.Forms.ToolBarButton
            Me.imageList1 = New System.Windows.Forms.ImageList(Me.components)
            Me.tabPage3 = New System.Windows.Forms.TabPage
            Me.btnStop = New System.Windows.Forms.Button
            Me.lvFind = New System.Windows.Forms.ListView
            Me.columnHeader5 = New System.Windows.Forms.ColumnHeader
            Me.columnHeader6 = New System.Windows.Forms.ColumnHeader
            Me.cbSubDir = New System.Windows.Forms.CheckBox
            Me.tbMask = New System.Windows.Forms.TextBox
            Me.tbPath = New System.Windows.Forms.TextBox
            Me.label2 = New System.Windows.Forms.Label
            Me.label1 = New System.Windows.Forms.Label
            Me.btnFind = New System.Windows.Forms.Button
            Me.tabPage4 = New System.Windows.Forms.TabPage
            Me.lbDrag = New System.Windows.Forms.ListBox
            Me.tabPage2 = New System.Windows.Forms.TabPage
            Me.filb = New Alvas.Windows.Forms.FileControls.FileListBox
            Me.textBox1 = New System.Windows.Forms.TextBox
            Me.flb = New Alvas.Windows.Forms.FileControls.FolderListBox
            Me.fcb = New Alvas.Windows.Forms.FileControls.FilterComboBox
            Me.dcb = New Alvas.Windows.Forms.FileControls.DriveComboBox
            Me.tabPage5 = New System.Windows.Forms.TabPage
            Me.label4 = New System.Windows.Forms.Label
            Me.label3 = New System.Windows.Forms.Label
            Me.tbTo = New System.Windows.Forms.TextBox
            Me.tbFrom = New System.Windows.Forms.TextBox
            Me.btnCopy = New System.Windows.Forms.Button
            Me.tabPage6 = New System.Windows.Forms.TabPage
            Me.lbMain = New System.Windows.Forms.ListBox
            Me.tbMain = New System.Windows.Forms.ToolBar
            Me.tbbAdd = New System.Windows.Forms.ToolBarButton
            Me.cmMain = New System.Windows.Forms.ContextMenu
            Me.miFile = New System.Windows.Forms.MenuItem
            Me.miFolder = New System.Windows.Forms.MenuItem
            Me.tbbDelete = New System.Windows.Forms.ToolBarButton
            Me.tbbBurn = New System.Windows.Forms.ToolBarButton
            Me.ilMain = New System.Windows.Forms.ImageList(Me.components)
            Me.df1 = New Alvas.Windows.Forms.FileControls.DragFile
            Me.ff = New Alvas.Windows.Forms.FileControls.FileFind
            Me.ai = New Alvas.Windows.Forms.FileControls.PathInfo
            Me.fo = New Alvas.Windows.Forms.FileControls.FileOperation
            Me.contextMenu1 = New System.Windows.Forms.ContextMenu
            Me.miTiles = New System.Windows.Forms.MenuItem
            Me.miIcons = New System.Windows.Forms.MenuItem
            Me.miList = New System.Windows.Forms.MenuItem
            Me.miDetails = New System.Windows.Forms.MenuItem
            Me.chName = New System.Windows.Forms.ColumnHeader
            Me.chSize = New System.Windows.Forms.ColumnHeader
            Me.chType = New System.Windows.Forms.ColumnHeader
            Me.chDate = New System.Windows.Forms.ColumnHeader
            Me.mainMenu1 = New System.Windows.Forms.MainMenu
            Me.menuItem1 = New System.Windows.Forms.MenuItem
            Me.menuItem2 = New System.Windows.Forms.MenuItem
            Me.menuItem3 = New System.Windows.Forms.MenuItem
            Me.menuItem4 = New System.Windows.Forms.MenuItem
            Me.menuItem5 = New System.Windows.Forms.MenuItem
            Me.menuItem6 = New System.Windows.Forms.MenuItem
            Me.fbdMain = New System.Windows.Forms.FolderBrowserDialog
            Me.ofdMain = New System.Windows.Forms.OpenFileDialog
            Me.tabControl1.SuspendLayout()
            Me.tabPage1.SuspendLayout()
            Me.tabPage3.SuspendLayout()
            Me.tabPage4.SuspendLayout()
            Me.tabPage2.SuspendLayout()
            Me.tabPage5.SuspendLayout()
            Me.tabPage6.SuspendLayout()
            Me.SuspendLayout()
            Me.tabControl1.Anchor = CType(((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) Or System.Windows.Forms.AnchorStyles.Left) Or System.Windows.Forms.AnchorStyles.Right)), System.Windows.Forms.AnchorStyles)
            Me.tabControl1.Controls.Add(Me.tabPage1)
            Me.tabControl1.Controls.Add(Me.tabPage3)
            Me.tabControl1.Controls.Add(Me.tabPage4)
            Me.tabControl1.Controls.Add(Me.tabPage2)
            Me.tabControl1.Controls.Add(Me.tabPage5)
            Me.tabControl1.Controls.Add(Me.tabPage6)
            Me.tabControl1.Location = New System.Drawing.Point(0, 0)
            Me.tabControl1.Name = "tabControl1"
            Me.tabControl1.SelectedIndex = 0
            Me.tabControl1.Size = New System.Drawing.Size(584, 264)
            Me.tabControl1.TabIndex = 6
            Me.tabPage1.Controls.Add(Me.elv)
            Me.tabPage1.Controls.Add(Me.etv)
            Me.tabPage1.Controls.Add(Me.filterComboBox1)
            Me.tabPage1.Controls.Add(Me.toolBar1)
            Me.tabPage1.Location = New System.Drawing.Point(4, 22)
            Me.tabPage1.Name = "tabPage1"
            Me.tabPage1.Size = New System.Drawing.Size(576, 238)
            Me.tabPage1.TabIndex = 0
            Me.tabPage1.Text = "Explorer"
            Me.elv.Columns.AddRange(New System.Windows.Forms.ColumnHeader() {Me.columnHeader1, Me.columnHeader2, Me.columnHeader3, Me.columnHeader4})
            Me.elv.Dock = System.Windows.Forms.DockStyle.Fill
            Me.elv.ExplorerTree = Me.etv
            Me.elv.Folder = "c:\"
            Me.elv.HideSelection = False
            Me.elv.Location = New System.Drawing.Point(168, 54)
            Me.elv.Mask = "*.*"
            Me.elv.Name = "elv"
            Me.elv.Size = New System.Drawing.Size(408, 184)
            Me.elv.TabIndex = 19
            Me.elv.View = System.Windows.Forms.View.Details
            AddHandler Me.elv.FileExecuted, AddressOf Me.elv_FileExecuted
            Me.columnHeader1.Text = "Name"
            Me.columnHeader1.Width = 145
            Me.columnHeader2.Text = "Size"
            Me.columnHeader3.Text = "Type"
            Me.columnHeader4.Text = "Date Modified"
            Me.columnHeader4.Width = 120
            Me.etv.Dock = System.Windows.Forms.DockStyle.Left
            Me.etv.ExplorerList = Me.elv
            Me.etv.Folder = "c:\"
            Me.etv.HideSelection = False
            Me.etv.ImageIndex = -1
            Me.etv.Location = New System.Drawing.Point(0, 54)
            Me.etv.Name = "etv"
            Me.etv.SelectedImageIndex = -1
            Me.etv.Size = New System.Drawing.Size(168, 184)
            Me.etv.TabIndex = 18
            Me.filterComboBox1.Dock = System.Windows.Forms.DockStyle.Top
            Me.filterComboBox1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
            Me.filterComboBox1.ExplorerList = Me.elv
            Me.filterComboBox1.FileList = Nothing
            Me.filterComboBox1.Filter = "All files (*.*)|*.*|Text documents (*.txt)|*.txt"
            Me.filterComboBox1.Location = New System.Drawing.Point(0, 33)
            Me.filterComboBox1.Name = "filterComboBox1"
            Me.filterComboBox1.Size = New System.Drawing.Size(576, 21)
            Me.filterComboBox1.TabIndex = 14
            Me.toolBar1.Buttons.AddRange(New System.Windows.Forms.ToolBarButton() {Me.toolBarButton2, Me.toolBarButton3, Me.toolBarButton4, Me.toolBarButton5})
            Me.toolBar1.DropDownArrows = True
            Me.toolBar1.ImageList = Me.imageList1
            Me.toolBar1.Location = New System.Drawing.Point(0, 0)
            Me.toolBar1.Name = "toolBar1"
            Me.toolBar1.ShowToolTips = True
            Me.toolBar1.Size = New System.Drawing.Size(576, 33)
            Me.toolBar1.TabIndex = 9
            AddHandler Me.toolBar1.ButtonClick, AddressOf Me.toolBar1_ButtonClick
            Me.toolBarButton2.ImageIndex = 0
            Me.toolBarButton2.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton
            Me.toolBarButton3.ImageIndex = 1
            Me.toolBarButton3.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton
            Me.toolBarButton4.ImageIndex = 2
            Me.toolBarButton4.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton
            Me.toolBarButton5.ImageIndex = 3
            Me.toolBarButton5.Pushed = True
            Me.toolBarButton5.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton
            Me.imageList1.ColorDepth = System.Windows.Forms.ColorDepth.Depth24Bit
            Me.imageList1.ImageSize = New System.Drawing.Size(21, 21)
            Me.imageList1.ImageStream = CType((resources.GetObject("imageList1.ImageStream")), System.Windows.Forms.ImageListStreamer)
            Me.imageList1.TransparentColor = System.Drawing.Color.Magenta
            Me.tabPage3.Controls.Add(Me.btnStop)
            Me.tabPage3.Controls.Add(Me.lvFind)
            Me.tabPage3.Controls.Add(Me.cbSubDir)
            Me.tabPage3.Controls.Add(Me.tbMask)
            Me.tabPage3.Controls.Add(Me.tbPath)
            Me.tabPage3.Controls.Add(Me.label2)
            Me.tabPage3.Controls.Add(Me.label1)
            Me.tabPage3.Controls.Add(Me.btnFind)
            Me.tabPage3.Location = New System.Drawing.Point(4, 22)
            Me.tabPage3.Name = "tabPage3"
            Me.tabPage3.Size = New System.Drawing.Size(576, 238)
            Me.tabPage3.TabIndex = 2
            Me.tabPage3.Text = "FileFind"
            Me.btnStop.Location = New System.Drawing.Point(88, 8)
            Me.btnStop.Name = "btnStop"
            Me.btnStop.TabIndex = 7
            Me.btnStop.Text = "Stop"
            AddHandler Me.btnStop.Click, AddressOf Me.btnStop_Click
            Me.lvFind.Anchor = CType(((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) Or System.Windows.Forms.AnchorStyles.Left) Or System.Windows.Forms.AnchorStyles.Right)), System.Windows.Forms.AnchorStyles)
            Me.lvFind.Columns.AddRange(New System.Windows.Forms.ColumnHeader() {Me.columnHeader5, Me.columnHeader6})
            Me.lvFind.FullRowSelect = True
            Me.lvFind.HideSelection = False
            Me.lvFind.Location = New System.Drawing.Point(8, 40)
            Me.lvFind.Name = "lvFind"
            Me.lvFind.Size = New System.Drawing.Size(560, 192)
            Me.lvFind.TabIndex = 6
            Me.lvFind.View = System.Windows.Forms.View.Details
            Me.columnHeader5.Text = "Path"
            Me.columnHeader5.Width = 400
            Me.columnHeader6.Text = "Type"
            Me.columnHeader6.Width = 150
            Me.cbSubDir.Location = New System.Drawing.Point(416, 8)
            Me.cbSubDir.Name = "cbSubDir"
            Me.cbSubDir.Size = New System.Drawing.Size(136, 24)
            Me.cbSubDir.TabIndex = 5
            Me.cbSubDir.Text = "Include Subdirectories"
            Me.tbMask.Location = New System.Drawing.Point(360, 8)
            Me.tbMask.Name = "tbMask"
            Me.tbMask.Size = New System.Drawing.Size(48, 20)
            Me.tbMask.TabIndex = 4
            Me.tbMask.Text = "*.*"
            Me.tbPath.Location = New System.Drawing.Point(208, 8)
            Me.tbPath.Name = "tbPath"
            Me.tbPath.Size = New System.Drawing.Size(104, 20)
            Me.tbPath.TabIndex = 3
            Me.tbPath.Text = "c:\"
            Me.label2.Location = New System.Drawing.Point(320, 16)
            Me.label2.Name = "label2"
            Me.label2.Size = New System.Drawing.Size(32, 16)
            Me.label2.TabIndex = 2
            Me.label2.Text = "Mask"
            Me.label1.Location = New System.Drawing.Point(176, 16)
            Me.label1.Name = "label1"
            Me.label1.Size = New System.Drawing.Size(32, 16)
            Me.label1.TabIndex = 1
            Me.label1.Text = "Path"
            Me.btnFind.Location = New System.Drawing.Point(8, 8)
            Me.btnFind.Name = "btnFind"
            Me.btnFind.TabIndex = 0
            Me.btnFind.Text = "Find"
            AddHandler Me.btnFind.Click, AddressOf Me.btnFind_Click
            Me.tabPage4.Controls.Add(Me.lbDrag)
            Me.tabPage4.Location = New System.Drawing.Point(4, 22)
            Me.tabPage4.Name = "tabPage4"
            Me.tabPage4.Size = New System.Drawing.Size(576, 238)
            Me.tabPage4.TabIndex = 3
            Me.tabPage4.Text = "Drag&Drop"
            Me.lbDrag.Anchor = CType(((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) Or System.Windows.Forms.AnchorStyles.Left) Or System.Windows.Forms.AnchorStyles.Right)), System.Windows.Forms.AnchorStyles)
            Me.lbDrag.Items.AddRange(New Object() {"Select files in Windows Explorer and drag'n'drop to this control"})
            Me.lbDrag.Location = New System.Drawing.Point(8, 8)
            Me.lbDrag.Name = "lbDrag"
            Me.lbDrag.Size = New System.Drawing.Size(560, 225)
            Me.lbDrag.TabIndex = 0
            Me.tabPage2.Controls.Add(Me.filb)
            Me.tabPage2.Controls.Add(Me.flb)
            Me.tabPage2.Controls.Add(Me.fcb)
            Me.tabPage2.Controls.Add(Me.dcb)
            Me.tabPage2.Controls.Add(Me.textBox1)
            Me.tabPage2.Location = New System.Drawing.Point(4, 22)
            Me.tabPage2.Name = "tabPage2"
            Me.tabPage2.Size = New System.Drawing.Size(576, 238)
            Me.tabPage2.TabIndex = 1
            Me.tabPage2.Text = "List Controls"
            Me.filb.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed
            Me.filb.FileEdit = Me.textBox1
            Me.filb.Folder = "C:\"
            Me.filb.ItemHeight = 16
            Me.filb.Location = New System.Drawing.Point(200, 40)
            Me.filb.Mask = "*.*"
            Me.filb.Name = "filb"
            Me.filb.Size = New System.Drawing.Size(176, 164)
            Me.filb.TabIndex = 11
            Me.textBox1.Location = New System.Drawing.Point(16, 16)
            Me.textBox1.Name = "textBox1"
            Me.textBox1.Size = New System.Drawing.Size(360, 20)
            Me.textBox1.TabIndex = 10
            Me.textBox1.Text = ""
            Me.flb.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed
            Me.flb.FileList = Me.filb
            Me.flb.Folder = "C:\"
            Me.flb.ItemHeight = 16
            Me.flb.Location = New System.Drawing.Point(16, 40)
            Me.flb.Name = "flb"
            Me.flb.Size = New System.Drawing.Size(176, 164)
            Me.flb.TabIndex = 12
            Me.fcb.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
            Me.fcb.ExplorerList = Nothing
            Me.fcb.FileList = Me.filb
            Me.fcb.Filter = "All files (*.*)|*.*|Text documents (*.txt)|*.txt"
            Me.fcb.Location = New System.Drawing.Point(200, 208)
            Me.fcb.Name = "fcb"
            Me.fcb.Size = New System.Drawing.Size(176, 21)
            Me.fcb.TabIndex = 13
            Me.dcb.DrawMode = System.Windows.Forms.DrawMode.OwnerDrawFixed
            Me.dcb.Drive = "C:\"
            Me.dcb.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
            Me.dcb.FolderList = Me.flb
            Me.dcb.ItemHeight = 16
            Me.dcb.Location = New System.Drawing.Point(16, 208)
            Me.dcb.Name = "dcb"
            Me.dcb.Size = New System.Drawing.Size(176, 22)
            Me.dcb.TabIndex = 14
            Me.tabPage5.Controls.Add(Me.label4)
            Me.tabPage5.Controls.Add(Me.label3)
            Me.tabPage5.Controls.Add(Me.tbTo)
            Me.tabPage5.Controls.Add(Me.tbFrom)
            Me.tabPage5.Controls.Add(Me.btnCopy)
            Me.tabPage5.Location = New System.Drawing.Point(4, 22)
            Me.tabPage5.Name = "tabPage5"
            Me.tabPage5.Size = New System.Drawing.Size(576, 238)
            Me.tabPage5.TabIndex = 4
            Me.tabPage5.Text = "FileOperation"
            Me.label4.Location = New System.Drawing.Point(8, 48)
            Me.label4.Name = "label4"
            Me.label4.Size = New System.Drawing.Size(208, 16)
            Me.label4.TabIndex = 4
            Me.label4.Text = "Path Destination to file or directory"
            Me.label3.Location = New System.Drawing.Point(8, 8)
            Me.label3.Name = "label3"
            Me.label3.Size = New System.Drawing.Size(208, 16)
            Me.label3.TabIndex = 3
            Me.label3.Text = "Path Source to file or directory"
            Me.tbTo.Location = New System.Drawing.Point(8, 64)
            Me.tbTo.Name = "tbTo"
            Me.tbTo.Size = New System.Drawing.Size(208, 20)
            Me.tbTo.TabIndex = 2
            Me.tbTo.Text = "c:\Windows_Copy"
            Me.tbFrom.Location = New System.Drawing.Point(8, 24)
            Me.tbFrom.Name = "tbFrom"
            Me.tbFrom.Size = New System.Drawing.Size(208, 20)
            Me.tbFrom.TabIndex = 1
            Me.tbFrom.Text = "c:\Windows"
            Me.btnCopy.Location = New System.Drawing.Point(224, 40)
            Me.btnCopy.Name = "btnCopy"
            Me.btnCopy.Size = New System.Drawing.Size(56, 24)
            Me.btnCopy.TabIndex = 0
            Me.btnCopy.Text = "Copy"
            AddHandler Me.btnCopy.Click, AddressOf Me.btnCopy_Click
            Me.tabPage6.Controls.Add(Me.lbMain)
            Me.tabPage6.Controls.Add(Me.tbMain)
            Me.tabPage6.Location = New System.Drawing.Point(4, 22)
            Me.tabPage6.Name = "tabPage6"
            Me.tabPage6.Size = New System.Drawing.Size(576, 238)
            Me.tabPage6.TabIndex = 5
            Me.tabPage6.Text = "CDBurner"
            Me.lbMain.Dock = System.Windows.Forms.DockStyle.Fill
            Me.lbMain.Location = New System.Drawing.Point(0, 26)
            Me.lbMain.Name = "lbMain"
            Me.lbMain.Size = New System.Drawing.Size(576, 212)
            Me.lbMain.TabIndex = 7
            AddHandler Me.lbMain.SelectedIndexChanged, AddressOf Me.lbMain_SelectedIndexChanged
            Me.tbMain.Appearance = System.Windows.Forms.ToolBarAppearance.Flat
            Me.tbMain.Buttons.AddRange(New System.Windows.Forms.ToolBarButton() {Me.tbbAdd, Me.tbbDelete, Me.tbbBurn})
            Me.tbMain.Divider = False
            Me.tbMain.DropDownArrows = True
            Me.tbMain.ImageList = Me.ilMain
            Me.tbMain.Location = New System.Drawing.Point(0, 0)
            Me.tbMain.Name = "tbMain"
            Me.tbMain.ShowToolTips = True
            Me.tbMain.Size = New System.Drawing.Size(576, 26)
            Me.tbMain.TabIndex = 6
            Me.tbMain.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right
            AddHandler Me.tbMain.ButtonClick, AddressOf Me.tbMain_ButtonClick
            Me.tbbAdd.DropDownMenu = Me.cmMain
            Me.tbbAdd.ImageIndex = 0
            Me.tbbAdd.Style = System.Windows.Forms.ToolBarButtonStyle.DropDownButton
            Me.tbbAdd.Text = "Add"
            Me.tbbAdd.ToolTipText = "Add file or folder"
            Me.cmMain.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.miFile, Me.miFolder})
            Me.miFile.Index = 0
            Me.miFile.Text = "File"
            AddHandler Me.miFile.Click, AddressOf Me.miFile_Click
            Me.miFolder.Index = 1
            Me.miFolder.Text = "Folder"
            AddHandler Me.miFolder.Click, AddressOf Me.miFolder_Click
            Me.tbbDelete.Enabled = False
            Me.tbbDelete.ImageIndex = 1
            Me.tbbDelete.Text = "Delete"
            Me.tbbDelete.ToolTipText = "Delete current selection"
            Me.tbbBurn.ImageIndex = 2
            Me.tbbBurn.Text = "Burn"
            Me.tbbBurn.ToolTipText = "Burn"
            Me.ilMain.ImageSize = New System.Drawing.Size(16, 16)
            Me.ilMain.ImageStream = CType((resources.GetObject("ilMain.ImageStream")), System.Windows.Forms.ImageListStreamer)
            Me.ilMain.TransparentColor = System.Drawing.Color.Blue
            Me.df1.TargetControl = Me.lbDrag
            AddHandler Me.df1.DropFiles, AddressOf Me.df1_DropFiles
            AddHandler Me.ff.FileFinded, AddressOf Me.ff_FileFinded
            AddHandler Me.ff.Stopped, AddressOf Me.ff_Stopped
            AddHandler Me.ff.Started, AddressOf Me.ff_Started
            Me.fo.Destination = New String(0) {}
            Me.fo.Flags = Alvas.Windows.Forms.FileControls.Flags.None
            Me.fo.ProgressTitle = ""
            Me.fo.Source = New String(0) {}
            Me.contextMenu1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.miTiles, Me.miIcons, Me.miList, Me.miDetails})
            Me.miTiles.Checked = True
            Me.miTiles.Index = 0
            Me.miTiles.MergeOrder = 1
            Me.miTiles.RadioCheck = True
            Me.miTiles.Text = "Tiles"
            AddHandler Me.miTiles.Click, AddressOf Me.menuItem7_Click
            Me.miIcons.Index = 1
            Me.miIcons.MergeOrder = 1
            Me.miIcons.RadioCheck = True
            Me.miIcons.Text = "Icons"
            AddHandler Me.miIcons.Click, AddressOf Me.menuItem7_Click
            Me.miList.Index = 2
            Me.miList.MergeOrder = 1
            Me.miList.RadioCheck = True
            Me.miList.Text = "List"
            AddHandler Me.miList.Click, AddressOf Me.menuItem7_Click
            Me.miDetails.Index = 3
            Me.miDetails.MergeOrder = 1
            Me.miDetails.RadioCheck = True
            Me.miDetails.Text = "Details"
            AddHandler Me.miDetails.Click, AddressOf Me.menuItem7_Click
            Me.chName.Text = "Name"
            Me.chName.Width = 150
            Me.chSize.Text = "Size"
            Me.chType.Text = "Type"
            Me.chDate.Text = "Date Modified"
            Me.chDate.Width = 120
            Me.mainMenu1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItem1, Me.menuItem3})
            Me.menuItem1.Index = 0
            Me.menuItem1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItem2})
            Me.menuItem1.Text = "File"
            Me.menuItem2.Index = 0
            Me.menuItem2.Text = "Close"
            AddHandler Me.menuItem2.Click, AddressOf Me.menuItem2_Click
            Me.menuItem3.Index = 1
            Me.menuItem3.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.menuItem4, Me.menuItem5, Me.menuItem6})
            Me.menuItem3.Text = "Help"
            Me.menuItem4.Index = 0
            Me.menuItem4.Text = "Help"
            Me.menuItem4.Visible = False
            Me.menuItem5.Index = 1
            Me.menuItem5.Text = "-"
            Me.menuItem5.Visible = False
            Me.menuItem6.Index = 2
            Me.menuItem6.Text = "About"
            AddHandler Me.menuItem6.Click, AddressOf Me.menuItem6_Click
            Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
            Me.ClientSize = New System.Drawing.Size(584, 261)
            Me.Controls.Add(Me.tabControl1)
            Me.Icon = CType((resources.GetObject("$this.Icon")), System.Drawing.Icon)
            Me.Menu = Me.mainMenu1
            Me.Name = "Form1"
            Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
            Me.Text = "Alvas FileControls"
            AddHandler Me.Load, AddressOf Me.Form1_Load
            Me.tabControl1.ResumeLayout(False)
            Me.tabPage1.ResumeLayout(False)
            Me.tabPage3.ResumeLayout(False)
            Me.tabPage4.ResumeLayout(False)
            Me.tabPage2.ResumeLayout(False)
            Me.tabPage5.ResumeLayout(False)
            Me.tabPage6.ResumeLayout(False)
            Me.ResumeLayout(False)
        End Sub

        <STAThread()> _
        Shared Sub Main()
            Application.Run(New Form1)
        End Sub

        Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs)
            Me.fcb.SelectedIndex = 0
        End Sub

        Private Sub elv_QueryItemText(ByVal item As Integer, ByVal subItem As Integer, ByRef text As System.String)
            text = "{" + item + "," + subItem + "}"
        End Sub

        Private Sub elv_QueryItemImage(ByVal item As Integer, ByVal subItem As Integer, ByRef imageIndex As System.Int32)
            imageIndex = 0
        End Sub

        Private Sub menuItem2_Click(ByVal sender As Object, ByVal e As System.EventArgs)
            Close()
        End Sub

        Private Sub menuItem7_Click(ByVal sender As Object, ByVal e As System.EventArgs)
            Dim mi As MenuItem = CType(sender, MenuItem)
            If Not (mi Is Nothing) Then
                Me.miTiles.Checked = False
                Me.miDetails.Checked = False
                Me.miIcons.Checked = False
                Me.miList.Checked = False
                mi.Checked = True
                Select Case mi.Text
                    Case "Tiles"
                        elv.View = View.LargeIcon
                        ' break 
                    Case "Details"
                        elv.View = View.Details
                        ' break 
                    Case "Icons"
                        elv.View = View.SmallIcon
                        ' break 
                    Case "List"
                        elv.View = View.List
                        ' break 
                End Select
            End If
        End Sub

        Private Sub toolBar1_ButtonClick(ByVal sender As Object, ByVal e As System.Windows.Forms.ToolBarButtonClickEventArgs)
            toolBarButton2.Pushed = False
            toolBarButton3.Pushed = False
            toolBarButton4.Pushed = False
            toolBarButton5.Pushed = False
            e.Button.Pushed = True
            Select Case e.Button.ImageIndex
                Case 0
                    elv.View = View.LargeIcon
                    ' break 
                Case 1
                    elv.View = View.SmallIcon
                    ' break 
                Case 2
                    elv.View = View.List
                    ' break 
                Case 3
                    elv.View = View.Details
                    ' break 
            End Select
        End Sub

        Private Sub menuItem6_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        End Sub

        Private Sub elv_FileExecuted(ByVal sender As Object, ByVal e As Alvas.Windows.Forms.FileControls.FileExecuteEventArgs)
            e.Execute = True
        End Sub

        Private Sub df1_DropFiles(ByVal sender As Object, ByVal e As Alvas.Windows.Forms.FileControls.DropFilesEventArgs)
            For Each file As String In e.Files
                lbDrag.Items.Add(file)
            Next
        End Sub

        Private Sub btnFind_Click(ByVal sender As Object, ByVal e As System.EventArgs)
            ExplorerListView.SetSystemImageList(lvFind)
            ff.Path = tbPath.Text
            ff.Mask = tbMask.Text
            ff.IncludeSubDirs = Me.cbSubDir.Checked
            ff.Start()
        End Sub

        Private Sub btnStop_Click(ByVal sender As Object, ByVal e As System.EventArgs)
            ff.Stop()
        End Sub

        Private Sub ff_Started(ByVal sender As Object, ByVal e As System.EventArgs)
            btnFind.Enabled = False
            btnStop.Enabled = Not btnFind.Enabled
            lvFind.Items.Clear()
        End Sub

        Private Sub ff_Stopped(ByVal sender As Object, ByVal e As System.EventArgs)
            btnFind.Enabled = True
            btnStop.Enabled = Not btnFind.Enabled
        End Sub

        Private Sub ff_FileFinded(ByVal sender As Object, ByVal e As Alvas.Windows.Forms.FileControls.FileFindedEventArgs)
            ai.FileName = e.Path
            Dim arr As String() = {ai.FileName, ai.TypeName}
            Dim lvItem As ListViewItem = New ListViewItem(arr, ai.SystemIconIndex)
            lvFind.Items.Add(lvItem)
        End Sub

        Private Sub btnCopy_Click(ByVal sender As Object, ByVal e As System.EventArgs)
            fo.Flags = Flags.None
            fo.Operation = Operation.Copy
            fo.Source = New String(0) {tbFrom.Text}
            fo.Destination = New String(0) {tbTo.Text}
            fo.Execute()
        End Sub

        Private Sub miFile_Click(ByVal sender As Object, ByVal e As System.EventArgs)
            If ofdMain.ShowDialog(Me) = DialogResult.OK Then
                lbMain.Items.Add(ofdMain.FileName)
            End If
        End Sub

        Private Sub miFolder_Click(ByVal sender As Object, ByVal e As System.EventArgs)
            If fbdMain.ShowDialog(Me) = DialogResult.OK Then
                lbMain.Items.Add(fbdMain.SelectedPath)
            End If
        End Sub

        Private Sub lbMain_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs)
            tbbDelete.Enabled = lbMain.SelectedIndex >= 0
        End Sub

        Private Sub tbMain_ButtonClick(ByVal sender As Object, ByVal e As System.Windows.Forms.ToolBarButtonClickEventArgs)
            If e.Button Is tbbAdd Then
                miFile_Click(Nothing, Nothing)
            Else
                If e.Button Is tbbDelete Then
                    lbMain.Items.RemoveAt(lbMain.SelectedIndex)
                Else
                    If e.Button Is tbbBurn Then
                        If lbMain.Items.Count = 0 Then
                            MessageBox.Show("Please add files or folders for recording!")
                            Return
                        End If
                        cdBurner.ClearBurnFolder()
                        Dim arr(lbMain.Items.Count - 1) As String
                        lbMain.Items.CopyTo(arr, 0)
                        cdBurner.AddToBurn(arr)
                        cdBurner.Burn(Me)
                    End If
                End If
            End If
        End Sub
    End Class
End Namespace
